Bug 763473 - (GLUSTER-1741) gluster volume stop after one process crashed.
gluster volume stop after one process crashed.
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
3.1-alpha
All Linux
low Severity medium
: ---
: ---
Assigned To: Pranith Kumar K
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-29 05:39 EDT by Lakshmipathi G
Modified: 2015-12-01 11:45 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: RTP
Mount Type: All
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lakshmipathi G 2010-09-29 05:39:27 EDT
if one glusterfs process already crashed-gluster volume stop won't stop the remaining glfs processes

#gluster volume stop testqa35
Stopping volume will make its data inaccessible. Do you want to Continue? (y/n) y
Stopping volume testqa35 has been unsuccessful
Comment 1 Vijay Bellur 2010-09-29 21:24:57 EDT
(In reply to comment #0)
> if one glusterfs process already crashed-gluster volume stop won't stop the
> remaining glfs processes
> 
> #gluster volume stop testqa35
> Stopping volume will make its data inaccessible. Do you want to Continue? (y/n)
> y
> Stopping volume testqa35 has been unsuccessful

Can you please try with gluster volume stop force?
Comment 2 Amar Tumballi 2010-09-30 02:09:56 EDT
If 'gluster volume stop <VOLNAME> force' works, I will be closing this bug.
Comment 3 Vijay Bellur 2010-10-01 09:33:49 EDT
PATCH: http://patches.gluster.com/patch/5149 in master (mgmt/glusterd: handle glusterfs crashes for start/stop of bricks)
Comment 4 Pranith Kumar K 2010-10-01 19:44:32 EDT
If some of the gluterfs processes crash then we can use "gluster volume start/stop force" to take the appropriate action.

Note You need to log in before you can comment on or make changes to this bug.